OpenVDB 11.0.0

Loading...
Searching...
No Matches
Mask< LOG2DIM >::Iterator< On > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions
| Iterator ()
| Iterator (uint32_t pos, const Mask *parent)
Iterator & | operator= (const Iterator &)=default
uint32_t | operator* () const
uint32_t | pos () const
| operator bool () const
Iterator & | operator++ ()
Iterator | operator++ (int)

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

template<uint32_t LOG2DIM>
template<bool On>

Iterator | ( |  | ) |
| inline

## ◆ Iterator() [2/2]

template<uint32_t LOG2DIM>
template<bool On>

Iterator | ( | uint32_t | pos,
|  | const Mask * | parent )
| inline

## Member Function Documentation

## ◆ operator bool()

template<uint32_t LOG2DIM>
template<bool On>

operator bool | ( |  | ) | const
| inline

## ◆ operator*()

template<uint32_t LOG2DIM>
template<bool On>

uint32_t operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<uint32_t LOG2DIM>
template<bool On>

Iterator & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<uint32_t LOG2DIM>
template<bool On>

Iterator operator++ | ( | int |  | ) |
| inline

## ◆ operator=()

template<uint32_t LOG2DIM>
template<bool On>

Iterator & operator= | ( | const Iterator< On > & |  | ) |
| default

## ◆ pos()

template<uint32_t LOG2DIM>
template<bool On>

uint32_t pos | ( |  | ) | const
| inline